Skip to main content
GET
/
v1
/
deals
List deals
curl --request GET \
  --url https://api.clientcommander.com/v1/deals \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timestamp": "2023-11-07T05:31:56Z",
    "version": "1.0.0"
  },
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "pipelineId": "<string>",
      "stageId": "<string>",
      "pipelineName": "<string>",
      "stageName": "<string>",
      "price": 123,
      "commission": 123,
      "closeDate": "2023-11-07T05:31:56Z",
      "people": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "team": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clientcommander.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication using Bearer token scheme.

How to get your API key:

  1. Log into Client Commander
  2. Go to Admin > API Keys
  3. Click Create API Key
  4. Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here

Query Parameters

limit
integer
default:10

Maximum number of items to return

Required range: 1 <= x <= 100
pipelineId
string

Filter by pipeline ID

Response

200 - application/json

List of deals

meta
object
required
data
object[]